Opened 13 years ago

Closed 13 years ago

Last modified 12 years ago

#2197 closed defect (fixed)

xdomain builds: convert dojo.uri calls for images to use xdomain path instead of local baseScriptUri path

Reported by: James Burke Owned by: James Burke
Priority: high Milestone:
Component: Loader Version: 0.4.1
Keywords: Cc:
Blocked By: Blocking:

Description

In an xdomain build, the dojo.uri objects for images will use baseScriptUri instead of considering the xdomain dojo location. Change dojo.uri to check for xdomain usage, and if the URI is for a .jpeg, .jpg, .gif or .png file, then use the xdomain location.

Attachments (1)

2197.patch (62.5 KB) - added by James Burke 13 years ago.

Download all attachments as: .zip

Change History (11)

Changed 13 years ago by James Burke

Attachment: 2197.patch added

comment:1 Changed 13 years ago by James Burke

Just uploaded a patch that fixes this by converting dojo.uri.dojoUri() usage in the dojo modules to dojo.uri.moduleUri().

comment:2 Changed 13 years ago by James Burke

Resolution: fixed
Status: newclosed

(In [6973]) Fixes #2197: using dojo.uri.moduleUri instead of dojo.uri.dojoUri to enable xdomain image loading, and to fit better with the module URI concept.

comment:3 Changed 13 years ago by alex

Resolution: fixed

(In [6979]) Merged revisions 6946-6978 via svnmerge from svn+ssh://alex@svn.dojotoolkit.org/var/src/dojo/trunk

........

r6946 | peller | 2006-12-29 15:17:41 -0800 (Fri, 29 Dec 2006) | 1 line

workaround for saxon on alternate JVMs

........

r6949 | bill | 2006-12-30 00:26:34 -0800 (Sat, 30 Dec 2006) | 7 lines

Improve page load time be defering rendering of hidden sections (currently affects and tooltips and dialogs, but will next do hidden tab panes / accordion panels)

ContentPane?: main changes are here; I set isContainer:false, and then manually parse for subwidgets on first display.

Tooltip: removed template since we can use the original DOM node.

Dialog: defered some code execution until dialog is first shown, including fixing a bug where href was downloaded on page load rather than at Dialog display time.

........

r6950 | bill | 2006-12-30 02:37:41 -0800 (Sat, 30 Dec 2006) | 1 line

defer rendering of deselected tabs until they are selected

........

r6951 | bill | 2006-12-30 04:05:56 -0800 (Sat, 30 Dec 2006) | 1 line

fix memory leak from previous checkin

........

r6952 | jburke | 2006-12-30 07:49:04 -0800 (Sat, 30 Dec 2006) | 1 line

Fixes #2247. RichText? can now work in xdomain loading

........

r6956 | alex | 2006-12-30 13:43:33 -0800 (Sat, 30 Dec 2006) | 2 lines

bloat

........

r6959 | alex | 2006-12-30 15:01:34 -0800 (Sat, 30 Dec 2006) | 4 lines

the style guide is NOT a fucking "suggestion"

NO CONDITIONALS WITHOUT CURLY BRACES.

........

r6963 | alex | 2006-12-30 22:10:51 -0800 (Sat, 30 Dec 2006) | 2 lines

let the profile specify the loader to use

........

r6967 | jburke | 2007-01-02 16:41:06 -0800 (Tue, 02 Jan 2007) | 1 line

Build will fail if the build path before dojo contains a module prefix dir (like if it has src in it)

........

r6968 | bill | 2007-01-02 16:58:20 -0800 (Tue, 02 Jan 2007) | 1 line

fix display of drop down items

........

r6969 | bill | 2007-01-02 17:34:04 -0800 (Tue, 02 Jan 2007) | 1 line

fix check for undefined

........

r6970 | bill | 2007-01-02 17:57:10 -0800 (Tue, 02 Jan 2007) | 3 lines

Rework hiearchy so Menu2Bar isn't a PopupContainer? (since it doesn't popup). Fixes problem that after previous changes, Menu2Bar was being initialized as display:none.

........

r6971 | skinner | 2007-01-02 19:54:58 -0800 (Tue, 02 Jan 2007) | 1 line

more dojo.data work -- a new dojo.data.DeliciousStore? that Mignon ported from dojo.data.old, and several new unit tests

........

r6972 | skinner | 2007-01-02 20:01:59 -0800 (Tue, 02 Jan 2007) | 1 line

deleted the entire src/data/old and tests/data/old directories -- old experimental dojo.data code from early 2006, now obsolete

........

r6973 | jburke | 2007-01-02 21:44:06 -0800 (Tue, 02 Jan 2007) | 1 line

Fixes #2197: using dojo.uri.moduleUri instead of dojo.uri.dojoUri to enable xdomain image loading, and to fit better with the module URI concept.

........

r6974 | jburke | 2007-01-02 22:18:37 -0800 (Tue, 02 Jan 2007) | 1 line

Removing docs and website tasks since they are no longer useful. No more -Ddocless=true now for builds.

........

r6975 | jburke | 2007-01-02 22:20:30 -0800 (Tue, 02 Jan 2007) | 1 line

Missed a comment update

........

r6976 | bill | 2007-01-03 18:27:51 -0800 (Wed, 03 Jan 2007) | 2 lines

Fixes #2268 (dojo.provide and dojo.require calls were messed, confusing package name with widget name)

........

r6977 | bill | 2007-01-03 19:39:25 -0800 (Wed, 03 Jan 2007) | 3 lines

Fixes #2275: programatically created ContentPane?'s are <span> objects, so they need certain CSS applied or the text is overflow:auto, which doesn't work well when ContentPane? is a child of SplitContainer?, etc.

........

comment:4 Changed 12 years ago by James Burke

(In [7049]) References #2197: using dojo.uri.moduleUri instead of dojo.uri.dojoUri to enable xdomain image loading, and to fit better with the module URI concept. (merge from trunk)

comment:5 Changed 12 years ago by James Burke

Milestone: 0.90.4.2

Merged into 0.4 branch for 0.4.2.

comment:6 Changed 12 years ago by James Burke

(In [7085]) References #2197. I switched the uris to use moduleUri, but I did not give the most correct module name.

comment:7 Changed 12 years ago by James Burke

(In [7086]) References #2197. Looks like a dojoUri call slipped through.

comment:8 Changed 12 years ago by James Burke

(In [7087]) (merge from trunk) References #2197. I switched the uris to use moduleUri, but I did not give the most correct module name.

comment:9 Changed 12 years ago by James Burke

(In [7199]) References #2197: I should not have changed this call to a moduleUri, but left it as a dojoUri call (only an issue on the branch, trunk works differently)

comment:10 Changed 12 years ago by (none)

Milestone: 0.4.2

Milestone 0.4.2 deleted

Note: See TracTickets for help on using tickets.